Index: tmp/org.txm.chartsengine.jfreechart.core/src/org/txm/chartsengine/jfreechart/core/renderers/MultipleItemsSelector.java
===================================================================
--- tmp/org.txm.chartsengine.jfreechart.core/src/org/txm/chartsengine/jfreechart/core/renderers/MultipleItemsSelector.java	(revision 136)
+++ tmp/org.txm.chartsengine.jfreechart.core/src/org/txm/chartsengine/jfreechart/core/renderers/MultipleItemsSelector.java	(revision 137)
@@ -5,8 +5,6 @@
 
 import java.text.Collator;
 import java.util.ArrayList;
-import java.util.Collections;
-import java.util.Comparator;
 import java.util.HashMap;
 import java.util.Iterator;
 import java.util.List;
@@ -19,7 +17,7 @@
 import org.jfree.chart.plot.CategoryPlot;
 import org.jfree.chart.plot.XYPlot;
 import org.jfree.data.xy.XYDataset;
-import org.txm.chartsengine.jfreechart.core.datasets.FCAXYDataset;
+import org.txm.ca.core.chartsengine.jfreechart.datasets.FCAXYDataset;
 import org.txm.chartsengine.jfreechart.core.renderers.interfaces.IItemSelectionRenderer;
 
 /**
Index: tmp/org.txm.chartsengine.jfreechart.core/src/org/txm/chartsengine/jfreechart/core/renderers/interfaces/IItemSelectionRenderer.java
===================================================================
--- tmp/org.txm.chartsengine.jfreechart.core/src/org/txm/chartsengine/jfreechart/core/renderers/interfaces/IItemSelectionRenderer.java	(revision 136)
+++ tmp/org.txm.chartsengine.jfreechart.core/src/org/txm/chartsengine/jfreechart/core/renderers/interfaces/IItemSelectionRenderer.java	(revision 137)
@@ -2,6 +2,7 @@
 
 import java.awt.Paint;
 
+import org.jfree.chart.ChartPanel;
 import org.jfree.chart.event.RendererChangeEvent;
 import org.jfree.chart.plot.CategoryPlot;
 import org.jfree.chart.plot.Plot;
@@ -17,9 +18,7 @@
 public interface IItemSelectionRenderer {
 
 	
-	
-	
-	
+
 	/**
 	 * Gets the item selector.
 	 * @return the item selector assigned to the renderer
Index: tmp/org.txm.chartsengine.jfreechart.core/src/org/txm/chartsengine/jfreechart/core/JFCChartsEngine.java
===================================================================
--- tmp/org.txm.chartsengine.jfreechart.core/src/org/txm/chartsengine/jfreechart/core/JFCChartsEngine.java	(revision 136)
+++ tmp/org.txm.chartsengine.jfreechart.core/src/org/txm/chartsengine/jfreechart/core/JFCChartsEngine.java	(revision 137)
@@ -1,7 +1,5 @@
 package org.txm.chartsengine.jfreechart.core;
 
-import java.awt.BasicStroke;
-import java.awt.Color;
 import java.awt.Graphics2D;
 import java.awt.geom.Rectangle2D;
 import java.awt.image.BufferedImage;
@@ -10,55 +8,29 @@
 import java.io.FileOutputStream;
 import java.io.FileWriter;
 import java.io.IOException;
-import java.text.DecimalFormat;
 import java.util.ArrayList;
-import java.util.Arrays;
-import java.util.List;
 
-import org.eclipse.core.runtime.Platform;
 import org.jfree.chart.ChartFactory;
 import org.jfree.chart.JFreeChart;
-import org.jfree.chart.annotations.XYAnnotation;
-import org.jfree.chart.annotations.XYLineAnnotation;
-import org.jfree.chart.annotations.XYTextAnnotation;
 import org.jfree.chart.axis.NumberAxis;
 import org.jfree.chart.axis.ValueAxis;
 import org.jfree.chart.plot.CategoryPlot;
-import org.jfree.chart.plot.Marker;
 import org.jfree.chart.plot.PlotOrientation;
-import org.jfree.chart.plot.ValueMarker;
 import org.jfree.chart.plot.XYPlot;
 import org.jfree.data.category.CategoryDataset;
 import org.jfree.data.category.DefaultCategoryDataset;
 import org.jfree.data.general.DatasetUtilities;
 import org.jfree.data.general.PieDataset;
 import org.jfree.data.xy.IntervalXYDataset;
-import org.jfree.data.xy.XYDataset;
-import org.jfree.data.xy.XYSeries;
 import org.jfree.data.xy.XYSeriesCollection;
 import org.jfree.graphics2d.svg.SVGGraphics2D;
-import org.jfree.ui.RectangleAnchor;
-import org.jfree.ui.TextAnchor;
 import org.txm.chartsengine.core.ChartsEngine;
-import org.txm.chartsengine.jfreechart.core.datasets.FCAXYDataset;
 import org.txm.chartsengine.jfreechart.core.preferences.JFCChartsEnginePreferences;
-import org.txm.chartsengine.jfreechart.core.renderers.MultipleItemsSelector;
-import org.txm.chartsengine.jfreechart.core.renderers.interfaces.IItemSelectionRenderer;
 import org.txm.chartsengine.jfreechart.core.themes.base.ExtendedNumberAxis;
 import org.txm.chartsengine.jfreechart.core.themes.base.SymbolAxisBetweenTicks;
 import org.txm.chartsengine.jfreechart.core.themes.base.Theme;
 import org.txm.chartsengine.jfreechart.core.themes.highcharts.defaulttheme.HighchartsDefaultTheme;
-import org.txm.chartsengine.jfreechart.core.themes.highcharts.defaulttheme.renderers.FCAItemSelectionRenderer;
-import org.txm.core.chartsengine.base.messages.ChartsEngineMessages;
-import org.txm.core.chartsengine.jfreechart.messages.JFreeChartsEngineMessages;
 import org.txm.core.preferences.TXMPreferences;
-import org.txm.functions.ca.CA;
-import org.txm.functions.classification.CAH;
-import org.txm.functions.progression.Progression;
-import org.txm.functions.specificities.SpecificitesResult;
-import org.txm.searchengine.cqp.corpus.query.Query;
-import org.txm.stat.StatException;
-import org.txm.utils.logger.Log;
 
 import com.lowagie.text.Document;
 import com.lowagie.text.Rectangle;
@@ -88,7 +60,7 @@
 	/**
 	 * The charts engine description.
 	 */
-	public final static String DESCRIPTION = JFreeChartsEngineMessages.JFCChartsEngine_ENGINE_DESCRIPTION;
+	public final static String DESCRIPTION = "Java";
 
 	/**
 	 * The rendering theme.
@@ -127,115 +99,8 @@
 		this(TXMPreferences.getString(JFCChartsEnginePreferences.PREFERENCE_NODE, JFCChartsEnginePreferences.OUTPUT_FORMAT));
 	}
 	
-	/**
-	 * Add some borders to the limits of the specified XY plot.
-	 * @param plot
-	 */
-	public static void createCAFactorialMapChartLimitsBorder(JFreeChart chart)	{
 
-		XYPlot plot = chart.getXYPlot();
 
-		// Remove all existent annotations
-		for(int i = plot.getAnnotations().size() - 1; i >= 0; i--) {
-			plot.removeAnnotation((XYAnnotation) plot.getAnnotations().get(i));
-		}
-
-
-        // Gets the extreme coordinates values
-		double minX = 0, maxX = 0, minY = 0, maxY = 0;
-
-		// FIXME: new version
-//		minX = plot.getDataRange(plot.getDomainAxis()).getLowerBound();
-//		maxX = plot.getDataRange(plot.getDomainAxis()).getUpperBound();
-//
-//		minY = plot.getDataRange(plot.getRangeAxis()).getLowerBound();
-//		maxY = plot.getDataRange(plot.getRangeAxis()).getUpperBound();
-
-		// FIXME: old version, to remove when new version will be validated
-		// Rows
-		if(plot.getRenderer().isSeriesVisible(0))	{
-			minX = ((FCAXYDataset)plot.getDataset()).getMinX(0);
-		}
-		// Cols
-		if(plot.getRenderer().isSeriesVisible(1))	{
-			double tmpMinX = ((FCAXYDataset)plot.getDataset()).getMinX(1);
-			if(tmpMinX < minX)	{
-				minX = tmpMinX;
-			}
-		}
-
-		// Rows
-		if(plot.getRenderer().isSeriesVisible(0))	{
-			maxX = ((FCAXYDataset)plot.getDataset()).getMaxX(0);
-		}
-		// Cols
-		if(plot.getRenderer().isSeriesVisible(1))	{
-			double tmpMaxX = ((FCAXYDataset)plot.getDataset()).getMaxX(1);
-			if(tmpMaxX > maxX)	{
-				maxX = tmpMaxX;
-			}
-		}
-
-		// Rows
-		if(plot.getRenderer().isSeriesVisible(0))	{
-			minY = ((FCAXYDataset)plot.getDataset()).getMinY(0);
-		}
-		// Cols
-		if(plot.getRenderer().isSeriesVisible(1))	{
-			double tmpMinY = ((FCAXYDataset)plot.getDataset()).getMinY(1);
-			if(tmpMinY < minY)	{
-				minY = tmpMinY;
-			}
-		}
-
-		// Rows
-		if(plot.getRenderer().isSeriesVisible(0))	{
-			maxY = ((FCAXYDataset)plot.getDataset()).getMaxY(0);
-		}
-		// Cols
-		if(plot.getRenderer().isSeriesVisible(1))	{
-			double tmpMaxY = ((FCAXYDataset)plot.getDataset()).getMaxY(1);
-			if(tmpMaxY > maxY)	{
-				maxY = tmpMaxY;
-			}
-		}
-
-		// Add some margins to the border
-		// FIXME : to compute according to the real series shape dimensions
-		// The code below doesn't work
-//		double shapeHalfWidth = chart.getXYPlot().getRenderer().getSeriesShape(0).getBounds2D().getWidth() / 2;
-		double shapeHalfWidth = 0.02;
-		minX -= shapeHalfWidth;
-		maxX += shapeHalfWidth;
-		minY -= shapeHalfWidth;
-		maxY += shapeHalfWidth;
-
-
-		// Create the border
-		BasicStroke dashedStroke = new BasicStroke(0.5f, BasicStroke.CAP_ROUND, BasicStroke.JOIN_ROUND, 1f, new float[] {2f}, 0f);
-		XYLineAnnotation annotation;
-		Color borderColor = Color.GRAY;
-
-		// Left border
-		annotation = new XYLineAnnotation(minX, minY, minX, maxY, dashedStroke, borderColor);
-        plot.addAnnotation(annotation);
-
-        // Right border
-		annotation = new XYLineAnnotation(maxX, minY, maxX, maxY, dashedStroke, borderColor);
-        plot.addAnnotation(annotation);
-
-		// Bottom border
-		annotation = new XYLineAnnotation(minX, minY, maxX, minY, dashedStroke, borderColor);
-        plot.addAnnotation(annotation);
-
-        // Top border
-		annotation = new XYLineAnnotation(minX, maxY, maxX, maxY, dashedStroke, borderColor);
-        plot.addAnnotation(annotation);
-
-	}
-
-
-
 	/**
 	 * Creates an XY line chart from the specified dataset.
 	 * @param dataset
@@ -529,7 +394,7 @@
 
     	// Domain axis symbols instead of values
     	if(domainAxisSymbols != null)	{
-            chart.getXYPlot().setDomainAxis(new SymbolAxisBetweenTicks(ChartsEngineMessages.ChartsEngine_PARTITION_DIMENSIONS_X_AXIS_LABEL, domainAxisSymbols));
+            chart.getXYPlot().setDomainAxis(new SymbolAxisBetweenTicks(xAxisLabel, domainAxisSymbols));
     	}
 
 		// Apply theme to the chart
